# ``twisted`.`conch`.`telnet`.`Telnet`.`_OptionState``

class documentation

`class _OptionState: (source)`

View In Hierarchy

Represents the state of an option on both sides of a telnet connection.

Method | `__init__` | Undocumented
Method | `__repr__` | Undocumented
Instance Variable | `him` | The state of the option on the other side of the connection.
Instance Variable | `us` | The state of the option on this side of the connection.
Class | `_Perspective` | No summary

def __init__(self): (source)

Undocumented

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

him = (source)
The state of the option on the other side of the connection.
us = (source)
The state of the option on this side of the connection.